MySQL 5.0.54 respin (to 5.0.54a)

February 8, 2008 by · 56 Comments 

Just a quick note, I did a respin of MySQL 5.0.54 with a patch for bug #33814. This wasn't really necessary since my binaries use OpenSSL rather than yaSSL (and the vulnerability is with the bundled yaSSL) but I know that quite a few people download my source RPMs and rebuild them, so I updated it just in case.

Since the source package used is still 5.0.54 and I am manually patching during the build process I have kept the version number at "5.0.54" and just incremented the release to "jason.2". Rest assured though, it is equivalent to 5.0.54a.

MySQL 5.0.54a Release Notes

Update (9/24/2009): Packages deleted, use the yum repository instead.

Comments

56 Responses to “MySQL 5.0.54 respin (to 5.0.54a)”
  1. avtx30 says:

    Thanks,

    Always stay latest with Utter Ramblings repo., everything's fine.

  2. goojs says:

    I'm using RHEL4 64 bit, and was wondering how I'm suppose to install your RPMS, also will this install the mysqld in /usr/libexec/mysqld?

    I mean is it like RHEL4 MySQL 4.1 stuff?

  3. Jason says:

    @goojs,

    I would recommend that you install 'yum' and use the information at the link below. If you don't like 'yum', it is possible to use 'up2date' with a yum repository. Instructions for both are given at the link below.

    http://www.jasonlitka.com/yum-repository/

    Oh, and yes, 'mysqld' is installed to /usr/libexec.

  4. Jeff says:

    Jason, for RHEL, why do you recommend yum over up2date?
    Is one safer than the other?

  5. Jason says:

    @Jeff,

    'up2date' is technically more flexible as it supports rhn, yum, and apt repos and 'yum' only supports yum repos. On the other hand, I've always found 'up2date' to be kind of slow and I've had it flake out a few times when you start to add multiple package sources.

  6. Jesse says:

    Just letting you know that 5.0.56 was released.

  7. Jason,

    When building 5.0.56 I hit a bug in testing where I had:

    subselect [ fail ]

    and

    "ERROR 21000: Subquery returns more than 1 row "

    This patch fixes the issue if you get it:

    http://lists.mysql.com/commits/42663

  8. Jason says:

    @Johnny,

    Yup, I ran into that as well. I also added the patch for bug 33758 where "ORDER BY ... ASC" works but DESC returns an empty set (link below).

    http://bugs.mysql.com/bug.php?id=33758

    One thing I have not been able to do is get the package to compile under EL5. Both my 32-bit and 64-bit builds are failing before they get to the testing phase. Do you create EL5 builds or just EL4 for centosplus?

  9. Max says:

    Hello Jason,

    Thanks for your effort.

    I am using the default rpm packages from RHEL 4. If I install your packages, am I need to uninstall the original packages first? If I donn't uninstall them, will 2 mysql, httpd.....(your packages and the default packages) running at the same time?

    Thanks.

  10. Jason says:

    @Max,

    If you update your system using up2date or yum then the old packages should be automatically removed (your data will stay behind).

  11. Jeff says:

    There is already an 'important security' fix in the unreleased 5.0.60, so there may be a quicker release of another new version: http://dev.mysql.com/doc/refman/5.0/en/releasenotes-es-5-0-60.html

  12. Jason says:

    @Jesse,

    5.0.58 binaries are already up.

    @Jeff,

    There's no bug number next to that note. If you can find the bug or patch then I'll certainly include it in a respin.

  13. Jesse says:

    @Jason,

    In regards to the bug Jeff was talking about, it's listed as http://bugs.mysql.com/bug.php?id=32167, but currently locked since it's a security issue...

  14. Jesse says:

    Anyway we could get a respin with http://bugs.mysql.com/32942 included since it's a performance regression?

  15. Jason says:

    @Jesse,

    I've got the patch checked into BK for #32942 but #32167 is proving to be a bit of an annoyance... I've got a preliminary patch made but I haven't compiled yet to see if it works.

    I'll let the 32-bit EL4 build run tonight and if it works I'll do the other three builds tomorrow and push it out. Note though that since the info on the bug is locked, I really won't have any way to test and make sure it's fixed.

  16. Brian Racer says:

    I'm using the RHEL5 64 bit mysql-server, and I am getting this error trying to start the server:

    [ERROR] Error message file '/usr/share/mysql/english/errmsg.sys' had only 463 error messages,
    but it should contain at least 476 error messages

  17. Brian Racer says:

    Just an update, I built the srpm on another 64-bit centos 5.1 server, installed, and all went OK. The errmsg.sys was a different size, so I overwrote the copy installed by your YUM repo and everything seems to be fine.

  18. Jesse says:

    @Jason,

    It looks like 5.1 series became production with 5.1.24 (http://dev.mysql.com/doc/refman/5.1/en/news-5-1-24.html). They've removed the RC stamp from it.

  19. Ben says:

    I'm getting the following error when attempting a "yum install php-cache":

    http://www.jasonlitka.com/media/EL5/x86_64/php-xcache-5.2.5_1.2.2-jason.3.x86_64.rpm: [Errno -1] Header is not complete.

    any ideas?

  20. Jason says:

    @Jesse,

    I'll take a look at 5.1 sometime over the next few days. I'm not going to force 5.1 out to people though so once I get some working packages I'll probably just post links for people to download.

    @Ben,

    Try clearing your yum cache and then running the update again. You might have gotten a bad download.

  21. James White says:

    Hey Jason, any chance you will post the 5.0.58 src.rpm? Or maybe even enable directory browsing on http://www.jasonlitka.com/media/SRPMS/

  22. James White says:

    Scratch that... proxy was giving me problems. Directory browsing is on. Just missing the 5.0.58 src.rpm

  23. Ben Tate says:

    I'm also using the RHEL5 64 bit mysql-server, and I am also getting this error trying to start the server:

    [ERROR] Error message file '/usr/share/mysql/english/errmsg.sys' had only 463 error messages,
    but it should contain at least 476 error messages

    I removed the mysql packages with yum and then installed them again with yum, but I keep getting this error when I try to start up mysqld.

    Anyone know a fix?

  24. Ben Tate says:

    I read more carefully and installed the mysql respin source rpm.
    This enabled me to start mysqld with no problems.

    Thanks to Jason for providing these packages/repo/info! You're my hero today.

  25. Ben Tate says:

    I noticed that the instructions to add your repository you said:
    >There is one caveat to the above statement... If your 64-bit
    >system includes both 32-bit and 64-bit packages by the same name
    >(such as "mysql.i386" and "mysql.x86_64" ) then you will
    >experience a problem unless you remove the 32-bit packages from
    >your system

    How might I go about removing the 32-bit packages from my system?

  26. Jesse says:

    @Ben

    The easiest way is use "yum remove "

  27. Andy Haveland-Robinson says:

    Hi Jason,

    I think I am going mad... I am using your 5.0.54a on a replicating system on Centos 5.1, but mysqld as slave is crashing consistently on a couple of simple queries:

    DELETE FROM contest_score WHERE cid IN (1, 2) AND period_start >= FROM_UNIXTIME(1186347600)
    DELETE FROM captcha WHERE created<DATE_SUB(NOW(),INTERVAL 1 HOUR)
    (contest_score has three primary unique indices, and captcha is in memory.)
    The slave doesn't crash I exclude the databases that use these queries from replicating.

    My problem is that I want to compile the srpm without stripping symbols to get a meaningful stack trace.

    I managed to unpack the srpm, modify the spec file to use --with-debug, but every time the symbols are stripped, even if I rename /usr/bin/strip to something else.

    %define __os_install_post /usr/lib/rpm/brp-compress didn't help either (but not sure where to put it!)
    What else would I have to modify to get a real debug version of the code?

    Cheers,
    Andy.

  28. Kodiak says:

    Jason,

    I am running CentOS 4.6 with Interworx control panel on a VPS. I am interested in upgrading to MySQL 5, but for various reasons, I need to keep PHP 4 around for a little while longer. I'm actually running PHP 5 (built from source) in an alternate location, so that I have a choice of either PHP 4 or PHP 5 via suPHP.

    I was directed to your site from a post on the Interworx forums. You came highly recommended, and from the comments here, I feel I can trust that your packages are legit.

    I've installed your utterramblings repo in yum, but set enabled=0 to ensure that I don't upgrade anything (like PHP) accidentally. I then use the command:

    yum --enablerepo=utterramblings update mysql*

    Yum does its thing and eventually spits out a list of what it will update. This includes a few php dependancies (php-common, php-pdo, and php-mysql). Obviously php-mysql needs to be updated, but php-pdo is PHP 5-only and I'm not sure about php-common). Is it safe to let yum install these and keep PHP 4 working? Or is it even possible to upgrade MySQL and not PHP? Any help you can provide will be greatly appreciated.

    FWIW, my "alternate" PHP5 install already has PDO and its working great.

    --Jason

  29. Brian Racer says:

    Kodiak,

    yum --enablerepo=utterramblings --exclude=php* update mysql*

  30. Kodiak says:

    @Brian:

    Thanks! I thought about doing that but I wasn't sure if it would work or not. I tried it and it worked great.

    --Jason

  31. Jesse says:

    @Jason,

    Anyway you could release 5.0.66a?

    http://mirror.provenscaling.com/mysql/enterprise/source/5.0/mysql-5.0.66a.tar.gz

    Thank you in advance

    Jesse

  32. dyn says:

    Are you still updating? Everything seems inactive lately.

  33. Devin says:

    Im angry. I did research into who was spamming me soooo fucking much on my email, and half of the websites come back to this domain. Please make a stand and do something to get rid of them. You must know how annoying it is. Below are the websites attached as the ass end of their email ie; [email protected]

    Burnonly.com
    bagswarn.com
    laughadd.com
    getfall.com
    tripuse.com

    about 80% of all of my spam websites link to yours actually, and thats really dumb

  34. Anatol says:

    Hi,

    I made a yum install with Jason's repository on a new VPS (CentOS5, 64Bit). I got an error message that some MySQL files conflict so I stopped the service and yum removed mysql. After that the yum install happened without any problem.

    Unfortunately now MySQL does not seem to be installed.

    #rpm mysql -q
    mysql-5.0.45-7.el5
    mysql-5.0.58-jason.2

    But there should be more. Also I don't find any mysqld file on the whole server. Needless to say that 'service mysal start' only returns 'unrecognized service'. When I try to start the client (as root) it says:

    #mysql
    ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

    I tried to install or update mysql again using yum, but now yum does not seem to work properly any more:

    #yum install mysql
    Loading "fastestmirror" plugin
    Loading mirror speeds from cached hostfile
    * utterramblings: http://www.jasonlitka.com
    * base: mirror.webhost.co.nz
    * updates: mirror.webhost.co.nz
    * addons: mirror.webhost.co.nz
    * extras: mirror.webhost.co.nz
    updates : ################################################## 429/429
    addons 100% |=========================| 951 B 00:00
    primary.xml.gz 100% |=========================| 157 B 00:00

    (process:18149): GLib-CRITICAL **: g_timer_stop: assertion `timer != NULL' failed

    (process:18149): GLib-CRITICAL **: g_timer_destroy: assertion `timer != NULL' failed
    Traceback (most recent call last):
    File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
    File "/usr/share/yum-cli/yummain.py", line 105, in main
    result, resultmsgs = base.doCommands()
    File "/usr/share/yum-cli/cli.py", line 289, in doCommands
    self._getTs()
    File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 85, in _getTs
    self._getTsInfo()
    File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 91, in _getTsInfo
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 537, in
    pkgSack = property(fget=lambda self: self._getSacks(),
    File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 392, in _getSacks
    self.repos.populateSack(which=repos)
    File "/usr/lib/python2.4/site-packages/yum/repos.py", line 242, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
    File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 168, in populate
    dobj = repo_cache_function(xml, csum)
    File "/usr/lib64/python2.4/site-packages/sqlitecachec.py", line 42, in getPrimary
    self.repoid))
    TypeError: Can not open SQL database: unable to open database file

    -------------
    Sorry to post this much stuff here. I just don't know what to do now.

    I tried 'yum clean all' and 'rm -f /var/lib/rpm/__db*' and 'rpm --rebuilddb. but no luck.

    Any hint would be greatly appreciated.

    Cheers!
    Anatol

  35. nep says:

    Yet another one lost to the engagement.. he's probably got nice shirts, and a haircut by now.

    RIP, nerdling.

  36. Dmitriy Kropivnitskiy says:

    Jason, is this repository still active? Are you planning to package subversion 1.5.x?

  37. Christof says:

    That is too bad. Are there any alternatives available ? I do need php5 on RHEL 4.

  38. Ricardo says:

    Jason,

    Are you still alive???

  39. Brian Racer says:

    If anyone just needs MySQL builds, Percona now has builds which also include their high-performance and diagnostic patches!

    http://www.percona.com/percona-lab.html

  40. Christof says:

    remi provides a repository for mysql & php: http://blog.famillecollet.com/pages/Config-en

    But I haven't tested this yet. It also is missing the apache rpms.

  41. bob says:

    you are a fucking moron

  42. Jasper says:

    I think the guy died...

  43. Andy Haveland-Robinson says:

    He was apparently alive in September (http://www.engadget.com/profile/2218801/).
    I hope he's just got really busy on something else or building a family.

    Meanwhile, if you're looking for later versions of php/mysql on Centos 5 then try
    http://www.atomicorp.com/channels/atomic/
    atomic-release-1.0-7.el5.art
    I'm using this for http://ce-faci.ro and is working well.

    Jason, hope you're OK... please give us a sign!
    Andy.

  44. Luca says:

    Will you release RPMs for MySQL 5.1 ? Seems quite difficult to find them.

  45. umask says:

    Luca, you can find mysql51 package now in my testing repo:
    http://yum.aclub.net/pub/linux/centos/5/umask-testing/

    after testing I'll push it into release repo (just 'umask' repo).

    After install umask-testing repo just type `yum install mysql51' (note: mysql51 conflicts with mysql-5.0.*).

  46. David says:

    Thanks Jason! Peculiarity for me under CentOS 5.2... trying to install packages for mysql-devel with only

    perl-DBD-MySQL-3.0007-2.el5
    mysql-5.0.58-jason.2
    mysql-server-5.0.58-jason.2

    installed (ie. your packages), yum wants to install mysql-5.0.45-7.el5 (???) which of course fails a bunch of dependencies/causes a bunch of conflicts. Anybody got any ideas about this one?

  47. Dewi Morgan says:

    So while this repository was once wonderful and an answer to all our prayers, it looks like it is now dead. This, the most recent post, is more than a year old. Even CentosPlus has more recent versions of MySQL, though only barely.

    There are known critical DoS vulnerabilities in these early versions of mysql.

    Anyone found any up-to-date php/apache/mysql repositories?

Speak Your Mind

Tell us what you're thinking...
and oh, if you want a pic to show with your comment, go get a gravatar!

You must be logged in to post a comment.